Summary:        A lightweight dhcp and caching nameserver
Name:           dnsmasq
Version:        2.66
Release:        %mkrel 3
License:        GPLv2 or GPLv3
Group:          System/Servers
URL:            http://www.thekelleys.org.uk/dnsmasq
Conflicts:      bind
Source0:        http://www.thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.xz
Source1:        dnsmasq.sysconfig

Source3:        dnsmasq.service
Source4:        README.update.urpmi


BuildRequires:          dbus-devel

Requires:                       %{name}-base = %{version}-%{release}
Requires(preun):        rpm-helper
Requires(post): rpm-helper

%description
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

%package        base
Summary:        A lightweight dhcp and caching nameserver - base files without init scripts
Group:          Networking/Remote access

%description    base
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

This package contains the base files of the Dnsmasq server, without the init
scripts and global configuration files.

%package        utils
Summary:        Utilities for manipulating DHCP server leases
Group:          System/Servers

%description    utils
Utilities that use the standard DHCP protocol to
query/remove a DHCP server's leases.

%prep
%setup -q

%build
#(tpg) enable dbus support
sed -i 's|/\* #define HAVE_DBUS \*/|#define HAVE_DBUS|g' src/config.h

%serverbuild
%make
%make -C contrib/wrt

%install
%__install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%__install -m644 %{SOURCE3} -D %{buildroot}/lib/systemd/system/%{name}.service
%__install -m644 dnsmasq.conf.example -D %{buildroot}%{_sysconfdir}/dnsmasq.conf
%__install -m755 -D src/dnsmasq %{buildroot}%{_sbindir}/dnsmasq
%__install -m644 man/dnsmasq.8 -D %{buildroot}%{_mandir}/man8/dnsmasq.8
%__install -m644 %{SOURCE4} README.update.urpmi
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_mandir}/man1
%__install -m755 contrib/wrt/dhcp_release %{buildroot}%{_bindir}/dhcp_release
%__install -m644 contrib/wrt/dhcp_release.1 %{buildroot}%{_mandir}/man1/dhcp_release.1
%__install -m755 contrib/wrt/dhcp_lease_time %{buildroot}%{_bindir}/dhcp_lease_time
%__install -m644 contrib/wrt/dhcp_lease_time.1 %{buildroot}%{_mandir}/man1/dhcp_lease_time.1

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%config(noreplace) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
/lib/systemd/system/%{name}.service
%doc README.update.urpmi

%files base
%doc CHANGELOG FAQ COPYING COPYING-v3 doc.html setup.html
%{_sbindir}/%{name}
%doc %{_mandir}/man8/%{name}*

%files utils
%{_bindir}/dhcp_*
%{_mandir}/man1/dhcp_*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.66-3.mga4
+ Revision: 531644
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 joequant <joequant> 2.66-2.mga4
+ Revision: 464380
- check group
- add dnsmasq-utils to match fedora

* Thu Jun 20 2013 julien <julien> 2.66-1.mga4
+ Revision: 445287
- new version 2.66

* Thu Jan 31 2013 julien <julien> 2.65-3.mga3
+ Revision: 393849
- add patch from redhat to fix CVE-2013-0198

* Fri Jan 11 2013 umeabot <umeabot> 2.65-2.mga3
+ Revision: 349042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 julien <julien> 2.65-1.mga3
+ Revision: 331001
- new version 2.65
- remove initscript as mga3 is systemd only

* Thu Dec 06 2012 julien <julien> 2.64-1.mga3
+ Revision: 327523
- update to new version 2.64

* Tue Aug 21 2012 julien <julien> 2.63-1.mga3
+ Revision: 282947
- new version 2.63

* Fri Jun 08 2012 julien <julien> 2.62-1.mga3
+ Revision: 257965
- new version 2.62

* Mon Jun 04 2012 julien <julien> 2.61-1.mga3
+ Revision: 254453
- update to version 2.61
- add systemd unit file
- add a warning on update when using sysconfig file

* Fri Oct 21 2011 julien <julien> 2.59-1.mga2
+ Revision: 157280
- update to version 2.59

* Thu Oct 06 2011 julien <julien> 2.58-1.mga2
+ Revision: 152534
- new version 2.58
- small cleanup of specfile

* Sat Apr 16 2011 misc <misc> 2.57-1.mga1
+ Revision: 86170
- update to 2.57
- remove and clean old conflict

* Thu Jan 27 2011 erwan <erwan> 2.55-1.mga1
+ Revision: 42235
- imported package dnsmasq


* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.55-1mdv2011.0
+ Revision: 563974
- update to new version 2.55
- pass %%sererbuild macro
- enable D-BUS support

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 2.52-1mdv2010.1
+ Revision: 495153
- update to new version 2.52

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 2.51-1mdv2010.1
+ Revision: 462597
- update to new version 2.51

* Mon Aug 31 2009 Frederik Himpe <fhimpe@mandriva.org> 2.50-1mdv2010.0
+ Revision: 423031
- update to new version 2.50

* Thu Jun 11 2009 Frederik Himpe <fhimpe@mandriva.org> 2.49-1mdv2010.0
+ Revision: 385166
- update to new version 2.49

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 2.48-1mdv2010.0
+ Revision: 383119
- update to new version 2.48

* Fri Feb 06 2009 Frederik Himpe <fhimpe@mandriva.org> 2.47-1mdv2009.1
+ Revision: 338234
- update to new version 2.47

* Fri Nov 14 2008 Frederik Himpe <fhimpe@mandriva.org> 2.46-1mdv2009.1
+ Revision: 303385
- update to new version 2.46

* Sun Oct 26 2008 Frederik Himpe <fhimpe@mandriva.org> 2.45-2mdv2009.1
+ Revision: 297520
- Create a subpackage dnsmasq-base which only contains the dnsmasq
  executable itself, without the init script and configuration files.
  This is used by the libvirt utilities to set up NAT networking
  for virtual machines.

* Mon Jul 21 2008 Michael Scherer <misc@mandriva.org> 2.45-1mdv2009.0
+ Revision: 239248
- update to new version 2.45

* Sat Jul 12 2008 Michael Scherer <misc@mandriva.org> 2.43-1mdv2009.0
+ Revision: 234004
- update to new version 2.43

* Sat Jun 14 2008 Jérôme Soyer <saispo@mandriva.org> 2.42-1mdv2009.0
+ Revision: 219150
- New release 2.42

* Fri Feb 15 2008 Michael Scherer <misc@mandriva.org> 2.41-2mdv2008.1
+ Revision: 168873
- fix bug #32645 by providing $named facility in lsb header
- add init info

* Wed Feb 13 2008 Michael Scherer <misc@mandriva.org> 2.41-1mdv2008.1
+ Revision: 167005
- update to 2.41
- revert to upstream archive compression

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.39-1mdv2008.0
+ Revision: 58036
- 2.39


* Tue Feb 13 2007 Lenny Cartier <lenny@mandriva.com> 2.38-1mdv2007.0
+ Revision: 120393
- Update to 2.38

* Mon Feb 05 2007 Lenny Cartier <lenny@mandriva.com> 2.37-1mdv2007.1
+ Revision: 116468
- Update to 2.37

* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 2.33-1mdv2007.1
+ Revision: 101650
- Import dnsmasq

* Tue Sep 05 2006 Jerome Soyer <saispo@mandriva.org> 2.33-1mdv2007.0
- 2.33

* Wed Jun 14 2006 Lenny Cartier <lenny@mandriva.com> 2.32-1mdv2007.0
- 2.32

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 2.31-1mdk
- 2.31

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 2.30-1mdk
- 2.30

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 2.28-1mdk
- 2.28

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 2.27-1mdk
- 2.27

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 2.26-1mdk
- 2.26

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 2.25-1mdk
- 2.25

* Mon Dec 19 2005 Michael Scherer <misc@mandriva.org> 2.24-1mdk
- 2.24
- mkrel
- add a config file to the initscript
- fix the initscript based on the one provided in the package
- fix Prereq

* Thu Mar 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.21-1mdk
- 2.21

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.20-1mdk
- 2.20

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.18-1mdk
- 2.18

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.17-1mdk
- 2.17

* Wed Sep 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.15-1mdk
- 2.15

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- 2.14

* Mon Aug 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.13-1mdk
- 2.13

* Wed Jul 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9-1mdk
- 2.9
- leave stuff to spec-helper
- cosmetics

* Sat May 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.8-1mdk
- 2.8

* Fri May 07 2004 Florin <florin@mandrakesoft.com> 2.7-1mdk
- first mandrake release

